stages:
  - test
  - build
  - push

build-images:
  stage: build
  image: docker:stable
  before_script:
    - docker info
  services:
    - name: docker:dind
  script:
    - echo "This job should build the images."
    - docker build .

push-images:
  image: alpine
  stage: push
  script:
    - echo "This job should push the images."
